/*
 * Icon
 *
 * Index
 * - Sizes
 * - Colors
 * - Rotation
 */

:host {
  box-sizing: content-box;
  display: inline-block;
  color: currentColor;
  transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  fill: currentColor;
  contain: strict;
}

:host svg {
  display: block;
  width: 100%;
  height: 100%;
}

/* SIZES
 -------------------- */

:host(.icon-sm) {
  width: 1.25rem;
  height: 1.25rem;
}

:host(.icon-md) {
  width: 1.5rem;
  height: 1.5rem;
}

:host(.icon-lg) {
  width: 2rem;
  height: 2rem;
}

:host(.icon-3x) {
  width: 3rem;
  height: 3rem;
}

:host(.icon-4x) {
  width: 4rem;
  height: 4rem;
}

/* COLORS
 -------------------- */

:host(.icon-primary) {
  color: var(--road-primary-50);
  fill: currentColor;
}

:host(.icon-secondary) {
  color: var(--road-secondary-50);
  fill: currentColor;
}

:host(.icon-accent) {
  color: var(--road-secondary-50);
  fill: currentColor;
}

:host(.icon-info) {
  color: var(--road-info-icon);
  fill: currentColor;
}

:host(.icon-success) {
  color: var(--road-success-icon);
  fill: currentColor;
}

:host(.icon-warning) {
  color: var(--road-warning-icon);
  fill: currentColor;
}

:host(.icon-danger) {
  color: var(--road-danger-icon);
  fill: currentColor;
}

:host(.icon-default) {
  color: var(--road-icon);
  fill: currentColor;
}

:host(.icon-white) {
  color: var(--road-icon-inverse);
  fill: currentColor;
}

/* ROTATION
 -------------------- */

:host(.icon-rotate-90) {
  transform: rotate(90deg);
}

:host(.icon-rotate-180) {
  transform: rotate(180deg);
}

:host(.icon-rotate-270) {
  transform: rotate(270deg);
}
